View Issue Details

IDProjectCategoryView StatusLast Update
0005254Kali Linux[All Projects] General Bugpublic2019-02-15 08:25
ReportercohstAssigned Tosbrun 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2018.4 
Target VersionFixed in Version2019.1 
Summary0005254: WPScan does not start
DescriptionWhen calling WPScan, the following error appears:

cohst@kali-linux:~$ wpscan -h
Traceback (most recent call last):
        12: from /usr/bin/wpscan:23:in `<main>'
        11: from /usr/lib/ruby/2.5.0/rubygems.rb:309:in `activate_bin_path'
        10: from /usr/lib/ruby/2.5.0/rubygems.rb:309:in `synchronize'
         9: from /usr/lib/ruby/2.5.0/rubygems.rb:310:in `block in activate_bin_path'
         8: from /usr/lib/ruby/2.5.0/rubygems/specification.rb:1440:in `activate'
         7: from /usr/lib/ruby/2.5.0/rubygems/specification.rb:1458:in `activate_dependencies'
         6: from /usr/lib/ruby/2.5.0/rubygems/specification.rb:1458:in `each'
         5: from /usr/lib/ruby/2.5.0/rubygems/specification.rb:1472:in `block in activate_dependencies'
         4: from /usr/lib/ruby/2.5.0/rubygems/specification.rb:1440:in `activate'
         3: from /usr/lib/ruby/2.5.0/rubygems/specification.rb:1458:in `activate_dependencies'
         2: from /usr/lib/ruby/2.5.0/rubygems/specification.rb:1458:in `each'
         1: from /usr/lib/ruby/2.5.0/rubygems/specification.rb:1469:in `block in activate_dependencies'
/usr/lib/ruby/2.5.0/rubygems/dependency.rb:312:in `to_specs': Could not find 'nokogiri' (~> 1.8.0) - did find: [nokogiri-1.10.1,nokogiri-1.10.0] (Gem::MissingSpecVersionError)
Checked in 'GEM_PATH=/home/cohst/.gem/ruby/2.5.0:/var/lib/gems/2.5.0:/usr/lib/i386-linux-gnu/rubygems-integration/2.5.0:/usr/share/rubygems-integration/2.5.0:/usr/share/rubygems-integration/all', execute `gem env` for more information
cohst@kali-linux:~$

WPScan does not start, any way.

cohst@kali-linux:~$ uname -a
Linux kali-linux 4.19.0-kali1-686-pae 0000001 SMP Debian 4.19.13-1kali1 (2019-01-03) i686 GNU/Linux
cohst@kali-linux:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Kali
Description: Kali GNU/Linux Rolling
Release: 2019.1
Codename: n/a
cohst@kali-linux:~$
Steps To ReproduceCall 'wpscan'

Activities

cohst

2019-02-13 19:51

reporter  

wpscan error.JPG (105,203 bytes)
wpscan error.JPG (105,203 bytes)

sbrun

2019-02-14 10:00

manager   ~0010301

Please check the version of ruby-cms-scanner and update it
The latest version 0.0.41.3-0kali2 should fix this issue.

cohst

2019-02-14 19:11

reporter   ~0010307

Yes, thanks. After a further upgrade WPScan now works as usual again. Ticket can be closed, thank you.

rhertzog

2019-02-15 08:25

administrator   ~0010309

Thanks, closing ticket.

Issue History

Date Modified Username Field Change
2019-02-13 19:51 cohst New Issue
2019-02-13 19:51 cohst File Added: wpscan error.JPG
2019-02-14 10:00 sbrun Assigned To => sbrun
2019-02-14 10:00 sbrun Status new => feedback
2019-02-14 10:00 sbrun Note Added: 0010301
2019-02-14 19:11 cohst Note Added: 0010307
2019-02-14 19:11 cohst Status feedback => assigned
2019-02-15 07:54 sbrun Status assigned => resolved
2019-02-15 07:54 sbrun Resolution open => fixed
2019-02-15 08:25 rhertzog Status resolved => closed
2019-02-15 08:25 rhertzog Fixed in Version => 2019.1
2019-02-15 08:25 rhertzog Note Added: 0010309